DOM::CSS2Properties class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2Properties Class Reference

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration` . More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions
| CSS2Properties (const CSS2Properties &other)
| CSS2Properties (CSS2PropertiesImpl *impl)
CSS2Properties & | operator= (const CSS2Properties &other)
DOM::DOMString | azimuth () const
| See the azimuth property definition in CSS2.
void | setAzimuth (const DOM::DOMString &)
| see azimuth
DOM::DOMString | background () const
| See the background property definition in CSS2.
void | setBackground (const DOM::DOMString &)
| see background
DOM::DOMString | backgroundAttachment () const
| See the background-attachment property definition in CSS2.
void | setBackgroundAttachment (const DOM::DOMString &)
| see backgroundAttachment
DOM::DOMString | backgroundColor () const
| See the background-color property definition in CSS2.
void | setBackgroundColor (const DOM::DOMString &)
| see backgroundColor
DOM::DOMString | backgroundImage () const
| See the background-image property definition in CSS2.
void | setBackgroundImage (const DOM::DOMString &)
| see backgroundImage
DOM::DOMString | backgroundPosition () const
| See the background-position property definition in CSS2.
void | setBackgroundPosition (const DOM::DOMString &)
| see backgroundPosition
DOM::DOMString | backgroundRepeat () const
| See the background-repeat property definition in CSS2.
void | setBackgroundRepeat (const DOM::DOMString &)
| see backgroundRepeat
DOM::DOMString | border () const
| See the border property definition in CSS2.
void | setBorder (const DOM::DOMString &)
| see border
DOM::DOMString | borderCollapse () const
| See the border-collapse property definition in CSS2.
void | setBorderCollapse (const DOM::DOMString &)
| see borderCollapse
DOM::DOMString | borderColor () const
| See the border-color property definition in CSS2.
void | setBorderColor (const DOM::DOMString &)
| see borderColor
DOM::DOMString | borderSpacing () const
| See the border-spacing property definition in CSS2.
void | setBorderSpacing (const DOM::DOMString &)
| see borderSpacing
DOM::DOMString | borderStyle () const
| See the border-style property definition in CSS2.
void | setBorderStyle (const DOM::DOMString &)
| see borderStyle
DOM::DOMString | borderTop () const
| See the border-top property definition in CSS2.
void | setBorderTop (const DOM::DOMString &)
| see borderTop
DOM::DOMString | borderRight () const
| See the border-right property definition in CSS2.
void | setBorderRight (const DOM::DOMString &)
| see borderRight
DOM::DOMString | borderBottom () const
| See the border-bottom property definition in CSS2.
void | setBorderBottom (const DOM::DOMString &)
| see borderBottom
DOM::DOMString | borderLeft () const
| See the border-left property definition in CSS2.
void | setBorderLeft (const DOM::DOMString &)
| see borderLeft
DOM::DOMString | borderTopColor () const
| See the border-top-color property definition in CSS2.
void | setBorderTopColor (const DOM::DOMString &)
| see borderTopColor
DOM::DOMString | borderRightColor () const
| See the border-right-color property definition in CSS2.
void | setBorderRightColor (const DOM::DOMString &)
| see borderRightColor
DOM::DOMString | borderBottomColor () const
| See the border-bottom-color property definition in CSS2.
void | setBorderBottomColor (const DOM::DOMString &)
| see borderBottomColor
DOM::DOMString | borderLeftColor () const
| See the border-left-color property definition in CSS2.
void | setBorderLeftColor (const DOM::DOMString &)
| see borderLeftColor
DOM::DOMString | borderTopStyle () const
| See the border-top-style property definition in CSS2.
void | setBorderTopStyle (const DOM::DOMString &)
| see borderTopStyle
DOM::DOMString | borderRightStyle () const
| See the border-right-style property definition in CSS2.
void | setBorderRightStyle (const DOM::DOMString &)
| see borderRightStyle
DOM::DOMString | borderBottomStyle () const
| See the border-bottom-style property definition in CSS2.
void | setBorderBottomStyle (const DOM::DOMString &)
| see borderBottomStyle
DOM::DOMString | borderLeftStyle () const
| See the border-left-style property definition in CSS2.
void | setBorderLeftStyle (const DOM::DOMString &)
| see borderLeftStyle
DOM::DOMString | borderTopWidth () const
| See the border-top-width property definition in CSS2.
void | setBorderTopWidth (const DOM::DOMString &)
| see borderTopWidth
DOM::DOMString | borderRightWidth () const
| See the border-right-width property definition in CSS2.
void | setBorderRightWidth (const DOM::DOMString &)
| see borderRightWidth
DOM::DOMString | borderBottomWidth () const
| See the border-bottom-width property definition in CSS2.
void | setBorderBottomWidth (const DOM::DOMString &)
| see borderBottomWidth
DOM::DOMString | borderLeftWidth () const
| See the border-left-width property definition in CSS2.
void | setBorderLeftWidth (const DOM::DOMString &)
| see borderLeftWidth
DOM::DOMString | borderWidth () const
| See the border-width property definition in CSS2.
void | setBorderWidth (const DOM::DOMString &)
| see borderWidth
DOM::DOMString | bottom () const
| See the bottom property definition in CSS2.
void | setBottom (const DOM::DOMString &)
| see bottom
DOM::DOMString | captionSide () const
| See the caption-side property definition in CSS2.
void | setCaptionSide (const DOM::DOMString &)
| see captionSide
DOM::DOMString | clear () const
| See the clear property definition in CSS2.
void | setClear (const DOM::DOMString &)
| see clear
DOM::DOMString | clip () const
| See the clip property definition in CSS2.
void | setClip (const DOM::DOMString &)
| see clip
DOM::DOMString | color () const
| See the color property definition in CSS2.
void | setColor (const DOM::DOMString &)
| see color
DOM::DOMString | content () const
| See the content property definition in CSS2.
void | setContent (const DOM::DOMString &)
| see content
DOM::DOMString | counterIncrement () const
| See the counter-increment property definition in CSS2.
void | setCounterIncrement (const DOM::DOMString &)
| see counterIncrement
DOM::DOMString | counterReset () const
| See the counter-reset property definition in CSS2.
void | setCounterReset (const DOM::DOMString &)
| see counterReset
DOM::DOMString | cue () const
| See the cue property definition in CSS2.
void | setCue (const DOM::DOMString &)
| see cue
DOM::DOMString | cueAfter () const
| See the cue-after property definition in CSS2.
void | setCueAfter (const DOM::DOMString &)
| see cueAfter
DOM::DOMString | cueBefore () const
| See the cue-before property definition in CSS2.
void | setCueBefore (const DOM::DOMString &)
| see cueBefore
DOM::DOMString | cursor () const
| See the cursor property definition in CSS2.
void | setCursor (const DOM::DOMString &)
| see cursor
DOM::DOMString | direction () const
| See the direction property definition in CSS2.
void | setDirection (const DOM::DOMString &)
| see direction
DOM::DOMString | display () const
| See the display property definition in CSS2.
void | setDisplay (const DOM::DOMString &)
| see display
DOM::DOMString | elevation () const
| See the elevation property definition in CSS2.
void | setElevation (const DOM::DOMString &)
| see elevation
DOM::DOMString | emptyCells () const
| See the empty-cells property definition in CSS2.
void | setEmptyCells (const DOM::DOMString &)
| see emptyCells
DOM::DOMString | cssFloat () const
| See the float property definition in CSS2.
void | setCssFloat (const DOM::DOMString &)
| see cssFloat
DOM::DOMString | font () const
| See the font property definition in CSS2.
void | setFont (const DOM::DOMString &)
| see font
DOM::DOMString | fontFamily () const
| See the font-family property definition in CSS2.
void | setFontFamily (const DOM::DOMString &)
| see fontFamily
DOM::DOMString | fontSize () const
| See the font-size property definition in CSS2.
void | setFontSize (const DOM::DOMString &)
| see fontSize
DOM::DOMString | fontSizeAdjust () const
| See the font-size-adjust property definition in CSS2.
void | setFontSizeAdjust (const DOM::DOMString &)
| see fontSizeAdjust
DOM::DOMString | fontStretch () const
| See the font-stretch property definition in CSS2.
void | setFontStretch (const DOM::DOMString &)
| see fontStretch
DOM::DOMString | fontStyle () const
| See the font-style property definition in CSS2.
void | setFontStyle (const DOM::DOMString &)
| see fontStyle
DOM::DOMString | fontVariant () const
| See the font-variant property definition in CSS2.
void | setFontVariant (const DOM::DOMString &)
| see fontVariant
DOM::DOMString | fontWeight () const
| See the font-weight property definition in CSS2.
void | setFontWeight (const DOM::DOMString &)
| see fontWeight
DOM::DOMString | height () const
| See the height property definition in CSS2.
void | setHeight (const DOM::DOMString &)
| see height
DOM::DOMString | left () const
| See the left property definition in CSS2.
void | setLeft (const DOM::DOMString &)
| see left
DOM::DOMString | letterSpacing () const
| See the letter-spacing property definition in CSS2.
void | setLetterSpacing (const DOM::DOMString &)
| see letterSpacing
DOM::DOMString | lineHeight () const
| See the line-height property definition in CSS2.
void | setLineHeight (const DOM::DOMString &)
| see lineHeight
DOM::DOMString | listStyle () const
| See the list-style property definition in CSS2.
void | setListStyle (const DOM::DOMString &)
| see listStyle
DOM::DOMString | listStyleImage () const
| See the list-style-image property definition in CSS2.
void | setListStyleImage (const DOM::DOMString &)
| see listStyleImage
DOM::DOMString | listStylePosition () const
| See the list-style-position property definition in CSS2.
void | setListStylePosition (const DOM::DOMString &)
| see listStylePosition
DOM::DOMString | listStyleType () const
| See the list-style-type property definition in CSS2.
void | setListStyleType (const DOM::DOMString &)
| see listStyleType
DOM::DOMString | margin () const
| See the margin property definition in CSS2.
void | setMargin (const DOM::DOMString &)
| see margin
DOM::DOMString | marginTop () const
| See the margin-top property definition in CSS2.
void | setMarginTop (const DOM::DOMString &)
| see marginTop
DOM::DOMString | marginRight () const
| See the margin-right property definition in CSS2.
void | setMarginRight (const DOM::DOMString &)
| see marginRight
DOM::DOMString | marginBottom () const
| See the margin-bottom property definition in CSS2.
void | setMarginBottom (const DOM::DOMString &)
| see marginBottom
DOM::DOMString | marginLeft () const
| See the margin-left property definition in CSS2.
void | setMarginLeft (const DOM::DOMString &)
| see marginLeft
DOM::DOMString | markerOffset () const
| See the marker-offset property definition in CSS2.
void | setMarkerOffset (const DOM::DOMString &)
| see markerOffset
DOM::DOMString | marks () const
| See the marks property definition in CSS2.
void | setMarks (const DOM::DOMString &)
| see marks
DOM::DOMString | maxHeight () const
| See the max-height property definition in CSS2.
void | setMaxHeight (const DOM::DOMString &)
| see maxHeight
DOM::DOMString | maxWidth () const
| See the max-width property definition in CSS2.
void | setMaxWidth (const DOM::DOMString &)
| see maxWidth
DOM::DOMString | minHeight () const
| See the min-height property definition in CSS2.
void | setMinHeight (const DOM::DOMString &)
| see minHeight
DOM::DOMString | minWidth () const
| See the min-width property definition in CSS2.
void | setMinWidth (const DOM::DOMString &)
| see minWidth
DOM::DOMString | orphans () const
| See the orphans property definition in CSS2.
void | setOrphans (const DOM::DOMString &)
| see orphans
DOM::DOMString | outline () const
| See the outline property definition in CSS2.
void | setOutline (const DOM::DOMString &)
| see outline
DOM::DOMString | outlineColor () const
| See the outline-color property definition in CSS2.
void | setOutlineColor (const DOM::DOMString &)
| see outlineColor
DOM::DOMString | outlineStyle () const
| See the outline-style property definition in CSS2.
void | setOutlineStyle (const DOM::DOMString &)
| see outlineStyle
DOM::DOMString | outlineWidth () const
| See the outline-width property definition in CSS2.
void | setOutlineWidth (const DOM::DOMString &)
| see outlineWidth
DOM::DOMString | overflow () const
| See the overflow property definition in CSS2.
void | setOverflow (const DOM::DOMString &)
| see overflow
DOM::DOMString | padding () const
| See the padding property definition in CSS2.
void | setPadding (const DOM::DOMString &)
| see padding
DOM::DOMString | paddingTop () const
| See the padding-top property definition in CSS2.
void | setPaddingTop (const DOM::DOMString &)
| see paddingTop
DOM::DOMString | paddingRight () const
| See the padding-right property definition in CSS2.
void | setPaddingRight (const DOM::DOMString &)
| see paddingRight
DOM::DOMString | paddingBottom () const
| See the padding-bottom property definition in CSS2.
void | setPaddingBottom (const DOM::DOMString &)
| see paddingBottom
DOM::DOMString | paddingLeft () const
| See the padding-left property definition in CSS2.
void | setPaddingLeft (const DOM::DOMString &)
| see paddingLeft
DOM::DOMString | page () const
| See the page property definition in CSS2.
void | setPage (const DOM::DOMString &)
| see page
DOM::DOMString | pageBreakAfter () const
| See the page-break-after property definition in CSS2.
void | setPageBreakAfter (const DOM::DOMString &)
| see pageBreakAfter
DOM::DOMString | pageBreakBefore () const
| See the page-break-before property definition in CSS2.
void | setPageBreakBefore (const DOM::DOMString &)
| see pageBreakBefore
DOM::DOMString | pageBreakInside () const
| See the page-break-inside property definition in CSS2.
void | setPageBreakInside (const DOM::DOMString &)
| see pageBreakInside
DOM::DOMString | pause () const
| See the pause property definition in CSS2.
void | setPause (const DOM::DOMString &)
| see pause
DOM::DOMString | pauseAfter () const
| See the pause-after property definition in CSS2.
void | setPauseAfter (const DOM::DOMString &)
| see pauseAfter
DOM::DOMString | pauseBefore () const
| See the pause-before property definition in CSS2.
void | setPauseBefore (const DOM::DOMString &)
| see pauseBefore
DOM::DOMString | pitch () const
| See the pitch property definition in CSS2.
void | setPitch (const DOM::DOMString &)
| see pitch
DOM::DOMString | pitchRange () const
| See the pitch-range property definition in CSS2.
void | setPitchRange (const DOM::DOMString &)
| see pitchRange
DOM::DOMString | playDuring () const
| See the play-during property definition in CSS2.
void | setPlayDuring (const DOM::DOMString &)
| see playDuring
DOM::DOMString | position () const
| See the position property definition in CSS2.
void | setPosition (const DOM::DOMString &)
| see position
DOM::DOMString | quotes () const
| See the quotes property definition in CSS2.
void | setQuotes (const DOM::DOMString &)
| see quotes
DOM::DOMString | richness () const
| See the richness property definition in CSS2.
void | setRichness (const DOM::DOMString &)
| see richness
DOM::DOMString | right () const
| See the right property definition in CSS2.
void | setRight (const DOM::DOMString &)
| see right
DOM::DOMString | size () const
| See the size property definition in CSS2.
void | setSize (const DOM::DOMString &)
| see size
DOM::DOMString | speak () const
| See the speak property definition in CSS2.
void | setSpeak (const DOM::DOMString &)
| see speak
DOM::DOMString | speakHeader () const
| See the speak-header property definition in CSS2.
void | setSpeakHeader (const DOM::DOMString &)
| see speakHeader
DOM::DOMString | speakNumeral () const
| See the speak-numeral property definition in CSS2.
void | setSpeakNumeral (const DOM::DOMString &)
| see speakNumeral
DOM::DOMString | speakPunctuation () const
| See the speak-punctuation property definition in CSS2.
void | setSpeakPunctuation (const DOM::DOMString &)
| see speakPunctuation
DOM::DOMString | speechRate () const
| See the speech-rate property definition in CSS2.
void | setSpeechRate (const DOM::DOMString &)
| see speechRate
DOM::DOMString | stress () const
| See the stress property definition in CSS2.
void | setStress (const DOM::DOMString &)
| see stress
DOM::DOMString | tableLayout () const
| See the table-layout property definition in CSS2.
void | setTableLayout (const DOM::DOMString &)
| see tableLayout
DOM::DOMString | textAlign () const
| See the text-align property definition in CSS2.
void | setTextAlign (const DOM::DOMString &)
| see textAlign
DOM::DOMString | textDecoration () const
| See the text-decoration property definition in CSS2.
void | setTextDecoration (const DOM::DOMString &)
| see textDecoration
DOM::DOMString | textIndent () const
| See the text-indent property definition in CSS2.
void | setTextIndent (const DOM::DOMString &)
| see textIndent
DOM::DOMString | textShadow () const
| See the text-shadow property definition in CSS2.
void | setTextShadow (const DOM::DOMString &)
| see textShadow
DOM::DOMString | textTransform () const
| See the text-transform property definition in CSS2.
void | setTextTransform (const DOM::DOMString &)
| see textTransform
DOM::DOMString | top () const
| See the top property definition in CSS2.
void | setTop (const DOM::DOMString &)
| see top
DOM::DOMString | unicodeBidi () const
| See the unicode-bidi property definition in CSS2.
void | setUnicodeBidi (const DOM::DOMString &)
| see unicodeBidi
DOM::DOMString | verticalAlign () const
| See the vertical-align property definition in CSS2.
void | setVerticalAlign (const DOM::DOMString &)
| see verticalAlign
DOM::DOMString | visibility () const
| See the visibility property definition in CSS2.
void | setVisibility (const DOM::DOMString &)
| see visibility
DOM::DOMString | voiceFamily () const
| See the voice-family property definition in CSS2.
void | setVoiceFamily (const DOM::DOMString &)
| see voiceFamily
DOM::DOMString | volume () const
| See the volume property definition in CSS2.
void | setVolume (const DOM::DOMString &)
| see volume
DOM::DOMString | whiteSpace () const
| See the white-space property definition in CSS2.
void | setWhiteSpace (const DOM::DOMString &)
| see whiteSpace
DOM::DOMString | widows () const
| See the widows property definition in CSS2.
void | setWidows (const DOM::DOMString &)
| see widows
DOM::DOMString | width () const
| See the width property definition in CSS2.
void | setWidth (const DOM::DOMString &)
| see width
DOM::DOMString | wordSpacing () const
| See the word-spacing property definition in CSS2.
void | setWordSpacing (const DOM::DOMString &)
| see wordSpacing
DOM::DOMString | zIndex () const
| See the z-index property definition in CSS2.
void | setZIndex (const DOM::DOMString &)
| see zIndex

## Detailed Description

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration` .

The attributes of this interface correspond to all the properties specified in CSS2 . Getting an attribute of this interface is equivalent to calling the `getPropertyValue` method of the `CSSStyleDeclaration` interface. Setting an attribute of this interface is equivalent to calling the `setProperty` method of the `CSSStyleDeclaration` interface.

A compliant implementation is not required to implement the `CSS2Properties` interface. If an implementation does implement this interface, the expectation is that language-specific methods can be used to cast from an instance of the `CSSStyleDeclaration` interface to the `CSS2Properties` interface.

If an implementation does implement this interface, it is expected to understand the specific syntax of the shorthand properties, and apply their semantics; when the `margin` property is set, for example, the `marginTop` , `marginRight` , `marginBottom` and `marginLeft` properties are actually being set by the underlying implementation.

When dealing with CSS "shorthand" properties, the shorthand properties should be decomposed into their component longhand properties as appropriate, and when querying for their value, the form returned should be the shortest form exactly equivalent to the declarations made in the ruleset. However, if there is no shorthand declaration that could be added to the ruleset without changing in any way the rules already declared in the ruleset (i.e., by adding longhand rules that were previously not declared in the ruleset), then the empty string should be returned for the shorthand property.

For example, querying for the `font` property should not return "normal normal normal 14pt/normal Arial, sans-serif", when "14pt Arial, sans-serif" suffices (the normals are initial values, and are implied by use of the longhand property).

If the values for all the longhand properties that compose a particular string are the initial values, then a string consisting of all the initial values should be returned (e.g. a `border-width` value of "medium" should be returned as such, not as "").

For some shorthand properties that take missing values from other sides, such as the `margin` , `padding` , and `border-[width|style|color]` properties, the minimum number of sides possible should be used, i.e., "0px 10px" will be returned instead of "0px 10px 0px 10px".

If the value of a shorthand property can not be decomposed into its component longhand properties, as is the case for the `font` property with a value of "menu", querying for the values of the component longhand properties should return the empty string.

Definition at line 1052 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2Properties::azimuth | ( |  | ) | const

| See the azimuth property definition in CSS2. Definition at line 653 of file css_extensions.cpp.

void CSS2Properties::setAzimuth | ( | const DOM::DOMString & |  | ) |

| see azimuth Definition at line 659 of file css_extensions.cpp.

DOMString CSS2Properties::background | ( |  | ) | const

| See the background property definition in CSS2. Definition at line 664 of file css_extensions.cpp.

void CSS2Properties::setBackground | ( | const DOM::DOMString & |  | ) |

| see background Definition at line 670 of file css_extensions.cpp.

DOMString CSS2Properties::backgroundAttachment | ( |  | ) | const

| See the background-attachment property definition in CSS2. Definition at line 675 of file css_extensions.cpp.

void CSS2Properties::setBackgroundAttachment | ( | const DOM::DOMString & |  | ) |

| see backgroundAttachment Definition at line 681 of file css_extensions.cpp.

DOMString CSS2Properties::backgroundColor | ( |  | ) | const

| See the background-color property definition in CSS2. Definition at line 686 of file css_extensions.cpp.

void CSS2Properties::setBackgroundColor | ( | const DOM::DOMString & |  | ) |

| see backgroundColor Definition at line 692 of file css_extensions.cpp.

DOMString CSS2Properties::backgroundImage | ( |  | ) | const

| See the background-image property definition in CSS2. Definition at line 697 of file css_extensions.cpp.

void CSS2Properties::setBackgroundImage | ( | const DOM::DOMString & |  | ) |

| see backgroundImage Definition at line 703 of file css_extensions.cpp.

DOMString CSS2Properties::backgroundPosition | ( |  | ) | const

| See the background-position property definition in CSS2. Definition at line 708 of file css_extensions.cpp.

void CSS2Properties::setBackgroundPosition | ( | const DOM::DOMString & |  | ) |

| see backgroundPosition Definition at line 714 of file css_extensions.cpp.

DOMString CSS2Properties::backgroundRepeat | ( |  | ) | const

| See the background-repeat property definition in CSS2. Definition at line 719 of file css_extensions.cpp.

void CSS2Properties::setBackgroundRepeat | ( | const DOM::DOMString & |  | ) |

| see backgroundRepeat Definition at line 725 of file css_extensions.cpp.

DOMString CSS2Properties::border | ( |  | ) | const

| See the border property definition in CSS2. Definition at line 730 of file css_extensions.cpp.

void CSS2Properties::setBorder | ( | const DOM::DOMString & |  | ) |

| see border Definition at line 736 of file css_extensions.cpp.

DOMString CSS2Properties::borderCollapse | ( |  | ) | const

| See the border-collapse property definition in CSS2. Definition at line 741 of file css_extensions.cpp.

void CSS2Properties::setBorderCollapse | ( | const DOM::DOMString & |  | ) |

| see borderCollapse Definition at line 747 of file css_extensions.cpp.

DOMString CSS2Properties::borderColor | ( |  | ) | const

| See the border-color property definition in CSS2. Definition at line 752 of file css_extensions.cpp.

void CSS2Properties::setBorderColor | ( | const DOM::DOMString & |  | ) |

| see borderColor Definition at line 758 of file css_extensions.cpp.

DOMString CSS2Properties::borderSpacing | ( |  | ) | const

| See the border-spacing property definition in CSS2. Definition at line 763 of file css_extensions.cpp.

void CSS2Properties::setBorderSpacing | ( | const DOM::DOMString & |  | ) |

| see borderSpacing Definition at line 769 of file css_extensions.cpp.

DOMString CSS2Properties::borderStyle | ( |  | ) | const

| See the border-style property definition in CSS2. Definition at line 774 of file css_extensions.cpp.

void CSS2Properties::setBorderStyle | ( | const DOM::DOMString & |  | ) |

| see borderStyle Definition at line 780 of file css_extensions.cpp.

DOMString CSS2Properties::borderTop | ( |  | ) | const

| See the border-top property definition in CSS2. Definition at line 785 of file css_extensions.cpp.

void CSS2Properties::setBorderTop | ( | const DOM::DOMString & |  | ) |

| see borderTop Definition at line 791 of file css_extensions.cpp.

DOMString CSS2Properties::borderRight | ( |  | ) | const

| See the border-right property definition in CSS2. Definition at line 796 of file css_extensions.cpp.

void CSS2Properties::setBorderRight | ( | const DOM::DOMString & |  | ) |

| see borderRight Definition at line 802 of file css_extensions.cpp.

DOMString CSS2Properties::borderBottom | ( |  | ) | const

| See the border-bottom property definition in CSS2. Definition at line 807 of file css_extensions.cpp.

void CSS2Properties::setBorderBottom | ( | const DOM::DOMString & |  | ) |

| see borderBottom Definition at line 813 of file css_extensions.cpp.

DOMString CSS2Properties::borderLeft | ( |  | ) | const

| See the border-left property definition in CSS2. Definition at line 818 of file css_extensions.cpp.

void CSS2Properties::setBorderLeft | ( | const DOM::DOMString & |  | ) |

| see borderLeft Definition at line 824 of file css_extensions.cpp.

DOMString CSS2Properties::borderTopColor | ( |  | ) | const

| See the border-top-color property definition in CSS2. Definition at line 829 of file css_extensions.cpp.

void CSS2Properties::setBorderTopColor | ( | const DOM::DOMString & |  | ) |

| see borderTopColor Definition at line 835 of file css_extensions.cpp.

DOMString CSS2Properties::borderRightColor | ( |  | ) | const

| See the border-right-color property definition in CSS2. Definition at line 840 of file css_extensions.cpp.

void CSS2Properties::setBorderRightColor | ( | const DOM::DOMString & |  | ) |

| see borderRightColor Definition at line 846 of file css_extensions.cpp.

DOMString CSS2Properties::borderBottomColor | ( |  | ) | const

| See the border-bottom-color property definition in CSS2. Definition at line 851 of file css_extensions.cpp.

void CSS2Properties::setBorderBottomColor | ( | const DOM::DOMString & |  | ) |

| see borderBottomColor Definition at line 857 of file css_extensions.cpp.

DOMString CSS2Properties::borderLeftColor | ( |  | ) | const

| See the border-left-color property definition in CSS2. Definition at line 862 of file css_extensions.cpp.

void CSS2Properties::setBorderLeftColor | ( | const DOM::DOMString & |  | ) |

| see borderLeftColor Definition at line 868 of file css_extensions.cpp.

DOMString CSS2Properties::borderTopStyle | ( |  | ) | const

| See the border-top-style property definition in CSS2. Definition at line 873 of file css_extensions.cpp.

void CSS2Properties::setBorderTopStyle | ( | const DOM::DOMString & |  | ) |

| see borderTopStyle Definition at line 879 of file css_extensions.cpp.

DOMString CSS2Properties::borderRightStyle | ( |  | ) | const

| See the border-right-style property definition in CSS2. Definition at line 884 of file css_extensions.cpp.

void CSS2Properties::setBorderRightStyle | ( | const DOM::DOMString & |  | ) |

| see borderRightStyle Definition at line 890 of file css_extensions.cpp.

DOMString CSS2Properties::borderBottomStyle | ( |  | ) | const

| See the border-bottom-style property definition in CSS2. Definition at line 895 of file css_extensions.cpp.

void CSS2Properties::setBorderBottomStyle | ( | const DOM::DOMString & |  | ) |

| see borderBottomStyle Definition at line 901 of file css_extensions.cpp.

DOMString CSS2Properties::borderLeftStyle | ( |  | ) | const

| See the border-left-style property definition in CSS2. Definition at line 906 of file css_extensions.cpp.

void CSS2Properties::setBorderLeftStyle | ( | const DOM::DOMString & |  | ) |

| see borderLeftStyle Definition at line 912 of file css_extensions.cpp.

DOMString CSS2Properties::borderTopWidth | ( |  | ) | const

| See the border-top-width property definition in CSS2. Definition at line 917 of file css_extensions.cpp.

void CSS2Properties::setBorderTopWidth | ( | const DOM::DOMString & |  | ) |

| see borderTopWidth Definition at line 923 of file css_extensions.cpp.

DOMString CSS2Properties::borderRightWidth | ( |  | ) | const

| See the border-right-width property definition in CSS2. Definition at line 928 of file css_extensions.cpp.

void CSS2Properties::setBorderRightWidth | ( | const DOM::DOMString & |  | ) |

| see borderRightWidth Definition at line 934 of file css_extensions.cpp.

DOMString CSS2Properties::borderBottomWidth | ( |  | ) | const

| See the border-bottom-width property definition in CSS2. Definition at line 939 of file css_extensions.cpp.

void CSS2Properties::setBorderBottomWidth | ( | const DOM::DOMString & |  | ) |

| see borderBottomWidth Definition at line 945 of file css_extensions.cpp.

DOMString CSS2Properties::borderLeftWidth | ( |  | ) | const

| See the border-left-width property definition in CSS2. Definition at line 950 of file css_extensions.cpp.

void CSS2Properties::setBorderLeftWidth | ( | const DOM::DOMString & |  | ) |

| see borderLeftWidth Definition at line 956 of file css_extensions.cpp.

DOMString CSS2Properties::borderWidth | ( |  | ) | const

| See the border-width property definition in CSS2. Definition at line 961 of file css_extensions.cpp.

void CSS2Properties::setBorderWidth | ( | const DOM::DOMString & |  | ) |

| see borderWidth Definition at line 967 of file css_extensions.cpp.

DOMString CSS2Properties::bottom | ( |  | ) | const

| See the bottom property definition in CSS2. Definition at line 972 of file css_extensions.cpp.

void CSS2Properties::setBottom | ( | const DOM::DOMString & |  | ) |

| see bottom Definition at line 978 of file css_extensions.cpp.

DOMString CSS2Properties::captionSide | ( |  | ) | const

| See the caption-side property definition in CSS2. Definition at line 983 of file css_extensions.cpp.

void CSS2Properties::setCaptionSide | ( | const DOM::DOMString & |  | ) |

| see captionSide Definition at line 989 of file css_extensions.cpp.

DOMString CSS2Properties::clear | ( |  | ) | const

| See the clear property definition in CSS2. Definition at line 994 of file css_extensions.cpp.

void CSS2Properties::setClear | ( | const DOM::DOMString & |  | ) |

| see clear Definition at line 1000 of file css_extensions.cpp.

DOMString CSS2Properties::clip | ( |  | ) | const

| See the clip property definition in CSS2. Definition at line 1005 of file css_extensions.cpp.

void CSS2Properties::setClip | ( | const DOM::DOMString & |  | ) |

| see clip Definition at line 1011 of file css_extensions.cpp.

DOMString CSS2Properties::color | ( |  | ) | const

| See the color property definition in CSS2. Definition at line 1016 of file css_extensions.cpp.

void CSS2Properties::setColor | ( | const DOM::DOMString & |  | ) |

| see color Definition at line 1022 of file css_extensions.cpp.

DOMString CSS2Properties::content | ( |  | ) | const

| See the content property definition in CSS2. Definition at line 1027 of file css_extensions.cpp.

void CSS2Properties::setContent | ( | const DOM::DOMString & |  | ) |

| see content Definition at line 1033 of file css_extensions.cpp.

DOMString CSS2Properties::counterIncrement | ( |  | ) | const

| See the counter-increment property definition in CSS2. Definition at line 1038 of file css_extensions.cpp.

void CSS2Properties::setCounterIncrement | ( | const DOM::DOMString & |  | ) |

| see counterIncrement Definition at line 1044 of file css_extensions.cpp.

DOMString CSS2Properties::counterReset | ( |  | ) | const

| See the counter-reset property definition in CSS2. Definition at line 1049 of file css_extensions.cpp.

void CSS2Properties::setCounterReset | ( | const DOM::DOMString & |  | ) |

| see counterReset Definition at line 1055 of file css_extensions.cpp.

DOMString CSS2Properties::cue | ( |  | ) | const

| See the cue property definition in CSS2. Definition at line 1060 of file css_extensions.cpp.

void CSS2Properties::setCue | ( | const DOM::DOMString & |  | ) |

| see cue Definition at line 1066 of file css_extensions.cpp.

DOMString CSS2Properties::cueAfter | ( |  | ) | const

| See the cue-after property definition in CSS2. Definition at line 1071 of file css_extensions.cpp.

void CSS2Properties::setCueAfter | ( | const DOM::DOMString & |  | ) |

| see cueAfter Definition at line 1077 of file css_extensions.cpp.

DOMString CSS2Properties::cueBefore | ( |  | ) | const

| See the cue-before property definition in CSS2. Definition at line 1082 of file css_extensions.cpp.

void CSS2Properties::setCueBefore | ( | const DOM::DOMString & |  | ) |

| see cueBefore Definition at line 1088 of file css_extensions.cpp.

DOMString CSS2Properties::cursor | ( |  | ) | const

| See the cursor property definition in CSS2. Definition at line 1093 of file css_extensions.cpp.

void CSS2Properties::setCursor | ( | const DOM::DOMString & |  | ) |

| see cursor Definition at line 1099 of file css_extensions.cpp.

DOMString CSS2Properties::direction | ( |  | ) | const

| See the direction property definition in CSS2. Definition at line 1104 of file css_extensions.cpp.

void CSS2Properties::setDirection | ( | const DOM::DOMString & |  | ) |

| see direction Definition at line 1110 of file css_extensions.cpp.

DOMString CSS2Properties::display | ( |  | ) | const

| See the display property definition in CSS2. Definition at line 1115 of file css_extensions.cpp.

void CSS2Properties::setDisplay | ( | const DOM::DOMString & |  | ) |

| see display Definition at line 1121 of file css_extensions.cpp.

DOMString CSS2Properties::elevation | ( |  | ) | const

| See the elevation property definition in CSS2. Definition at line 1126 of file css_extensions.cpp.

void CSS2Properties::setElevation | ( | const DOM::DOMString & |  | ) |

| see elevation Definition at line 1132 of file css_extensions.cpp.

DOMString CSS2Properties::emptyCells | ( |  | ) | const

| See the empty-cells property definition in CSS2. Definition at line 1137 of file css_extensions.cpp.

void CSS2Properties::setEmptyCells | ( | const DOM::DOMString & |  | ) |

| see emptyCells Definition at line 1143 of file css_extensions.cpp.

DOMString CSS2Properties::cssFloat | ( |  | ) | const

| See the float property definition in CSS2. Definition at line 1148 of file css_extensions.cpp.

void CSS2Properties::setCssFloat | ( | const DOM::DOMString & |  | ) |

| see cssFloat Definition at line 1154 of file css_extensions.cpp.

DOMString CSS2Properties::font | ( |  | ) | const

| See the font property definition in CSS2. Definition at line 1159 of file css_extensions.cpp.

void CSS2Properties::setFont | ( | const DOM::DOMString & |  | ) |

| see font Definition at line 1165 of file css_extensions.cpp.

DOMString CSS2Properties::fontFamily | ( |  | ) | const

| See the font-family property definition in CSS2. Definition at line 1170 of file css_extensions.cpp.

void CSS2Properties::setFontFamily | ( | const DOM::DOMString & |  | ) |

| see fontFamily Definition at line 1176 of file css_extensions.cpp.

DOMString CSS2Properties::fontSize | ( |  | ) | const

| See the font-size property definition in CSS2. Definition at line 1181 of file css_extensions.cpp.

void CSS2Properties::setFontSize | ( | const DOM::DOMString & |  | ) |

| see fontSize Definition at line 1187 of file css_extensions.cpp.

DOMString CSS2Properties::fontSizeAdjust | ( |  | ) | const

| See the font-size-adjust property definition in CSS2. Definition at line 1192 of file css_extensions.cpp.

void CSS2Properties::setFontSizeAdjust | ( | const DOM::DOMString & |  | ) |

| see fontSizeAdjust Definition at line 1198 of file css_extensions.cpp.

DOMString CSS2Properties::fontStretch | ( |  | ) | const

| See the font-stretch property definition in CSS2. Definition at line 1203 of file css_extensions.cpp.

void CSS2Properties::setFontStretch | ( | const DOM::DOMString & |  | ) |

| see fontStretch Definition at line 1209 of file css_extensions.cpp.

DOMString CSS2Properties::fontStyle | ( |  | ) | const

| See the font-style property definition in CSS2. Definition at line 1214 of file css_extensions.cpp.

void CSS2Properties::setFontStyle | ( | const DOM::DOMString & |  | ) |

| see fontStyle Definition at line 1220 of file css_extensions.cpp.

DOMString CSS2Properties::fontVariant | ( |  | ) | const

| See the font-variant property definition in CSS2. Definition at line 1225 of file css_extensions.cpp.

void CSS2Properties::setFontVariant | ( | const DOM::DOMString & |  | ) |

| see fontVariant Definition at line 1231 of file css_extensions.cpp.

DOMString CSS2Properties::fontWeight | ( |  | ) | const

| See the font-weight property definition in CSS2. Definition at line 1236 of file css_extensions.cpp.

void CSS2Properties::setFontWeight | ( | const DOM::DOMString & |  | ) |

| see fontWeight Definition at line 1242 of file css_extensions.cpp.

DOMString CSS2Properties::height | ( |  | ) | const

| See the height property definition in CSS2. Definition at line 1247 of file css_extensions.cpp.

void CSS2Properties::setHeight | ( | const DOM::DOMString & |  | ) |

| see height Definition at line 1253 of file css_extensions.cpp.

DOMString CSS2Properties::left | ( |  | ) | const

| See the left property definition in CSS2. Definition at line 1258 of file css_extensions.cpp.

void CSS2Properties::setLeft | ( | const DOM::DOMString & |  | ) |

| see left Definition at line 1264 of file css_extensions.cpp.

DOMString CSS2Properties::letterSpacing | ( |  | ) | const

| See the letter-spacing property definition in CSS2. Definition at line 1269 of file css_extensions.cpp.

void CSS2Properties::setLetterSpacing | ( | const DOM::DOMString & |  | ) |

| see letterSpacing Definition at line 1275 of file css_extensions.cpp.

DOMString CSS2Properties::lineHeight | ( |  | ) | const

| See the line-height property definition in CSS2. Definition at line 1280 of file css_extensions.cpp.

void CSS2Properties::setLineHeight | ( | const DOM::DOMString & |  | ) |

| see lineHeight Definition at line 1286 of file css_extensions.cpp.

DOMString CSS2Properties::listStyle | ( |  | ) | const

| See the list-style property definition in CSS2. Definition at line 1291 of file css_extensions.cpp.

void CSS2Properties::setListStyle | ( | const DOM::DOMString & |  | ) |

| see listStyle Definition at line 1297 of file css_extensions.cpp.

DOMString CSS2Properties::listStyleImage | ( |  | ) | const

| See the list-style-image property definition in CSS2. Definition at line 1302 of file css_extensions.cpp.

void CSS2Properties::setListStyleImage | ( | const DOM::DOMString & |  | ) |

| see listStyleImage Definition at line 1308 of file css_extensions.cpp.

DOMString CSS2Properties::listStylePosition | ( |  | ) | const

| See the list-style-position property definition in CSS2. Definition at line 1313 of file css_extensions.cpp.

void CSS2Properties::setListStylePosition | ( | const DOM::DOMString & |  | ) |

| see listStylePosition Definition at line 1319 of file css_extensions.cpp.

DOMString CSS2Properties::listStyleType | ( |  | ) | const

| See the list-style-type property definition in CSS2. Definition at line 1324 of file css_extensions.cpp.

void CSS2Properties::setListStyleType | ( | const DOM::DOMString & |  | ) |

| see listStyleType Definition at line 1330 of file css_extensions.cpp.

DOMString CSS2Properties::margin | ( |  | ) | const

| See the margin property definition in CSS2. Definition at line 1335 of file css_extensions.cpp.

void CSS2Properties::setMargin | ( | const DOM::DOMString & |  | ) |

| see margin Definition at line 1341 of file css_extensions.cpp.

DOMString CSS2Properties::marginTop | ( |  | ) | const

| See the margin-top property definition in CSS2. Definition at line 1346 of file css_extensions.cpp.

void CSS2Properties::setMarginTop | ( | const DOM::DOMString & |  | ) |

| see marginTop Definition at line 1352 of file css_extensions.cpp.

DOMString CSS2Properties::marginRight | ( |  | ) | const

| See the margin-right property definition in CSS2. Definition at line 1357 of file css_extensions.cpp.

void CSS2Properties::setMarginRight | ( | const DOM::DOMString & |  | ) |

| see marginRight Definition at line 1363 of file css_extensions.cpp.

DOMString CSS2Properties::marginBottom | ( |  | ) | const

| See the margin-bottom property definition in CSS2. Definition at line 1368 of file css_extensions.cpp.

void CSS2Properties::setMarginBottom | ( | const DOM::DOMString & |  | ) |

| see marginBottom Definition at line 1374 of file css_extensions.cpp.

DOMString CSS2Properties::marginLeft | ( |  | ) | const

| See the margin-left property definition in CSS2. Definition at line 1379 of file css_extensions.cpp.

void CSS2Properties::setMarginLeft | ( | const DOM::DOMString & |  | ) |

| see marginLeft Definition at line 1385 of file css_extensions.cpp.

DOMString CSS2Properties::markerOffset | ( |  | ) | const

| See the marker-offset property definition in CSS2. Definition at line 1390 of file css_extensions.cpp.

void CSS2Properties::setMarkerOffset | ( | const DOM::DOMString & |  | ) |

| see markerOffset Definition at line 1396 of file css_extensions.cpp.

DOMString CSS2Properties::marks | ( |  | ) | const

| See the marks property definition in CSS2. Definition at line 1401 of file css_extensions.cpp.

void CSS2Properties::setMarks | ( | const DOM::DOMString & |  | ) |

| see marks Definition at line 1407 of file css_extensions.cpp.

DOMString CSS2Properties::maxHeight | ( |  | ) | const

| See the max-height property definition in CSS2. Definition at line 1412 of file css_extensions.cpp.

void CSS2Properties::setMaxHeight | ( | const DOM::DOMString & |  | ) |

| see maxHeight Definition at line 1418 of file css_extensions.cpp.

DOMString CSS2Properties::maxWidth | ( |  | ) | const

| See the max-width property definition in CSS2. Definition at line 1423 of file css_extensions.cpp.

void CSS2Properties::setMaxWidth | ( | const DOM::DOMString & |  | ) |

| see maxWidth Definition at line 1429 of file css_extensions.cpp.

DOMString CSS2Properties::minHeight | ( |  | ) | const

| See the min-height property definition in CSS2. Definition at line 1434 of file css_extensions.cpp.

void CSS2Properties::setMinHeight | ( | const DOM::DOMString & |  | ) |

| see minHeight Definition at line 1440 of file css_extensions.cpp.

DOMString CSS2Properties::minWidth | ( |  | ) | const

| See the min-width property definition in CSS2. Definition at line 1445 of file css_extensions.cpp.

void CSS2Properties::setMinWidth | ( | const DOM::DOMString & |  | ) |

| see minWidth Definition at line 1451 of file css_extensions.cpp.

DOMString CSS2Properties::orphans | ( |  | ) | const

| See the orphans property definition in CSS2. Definition at line 1456 of file css_extensions.cpp.

void CSS2Properties::setOrphans | ( | const DOM::DOMString & |  | ) |

| see orphans Definition at line 1462 of file css_extensions.cpp.

DOMString CSS2Properties::outline | ( |  | ) | const

| See the outline property definition in CSS2. Definition at line 1467 of file css_extensions.cpp.

void CSS2Properties::setOutline | ( | const DOM::DOMString & |  | ) |

| see outline Definition at line 1473 of file css_extensions.cpp.

DOMString CSS2Properties::outlineColor | ( |  | ) | const

| See the outline-color property definition in CSS2. Definition at line 1478 of file css_extensions.cpp.

void CSS2Properties::setOutlineColor | ( | const DOM::DOMString & |  | ) |

| see outlineColor Definition at line 1484 of file css_extensions.cpp.

DOMString CSS2Properties::outlineStyle | ( |  | ) | const

| See the outline-style property definition in CSS2. Definition at line 1489 of file css_extensions.cpp.

void CSS2Properties::setOutlineStyle | ( | const DOM::DOMString & |  | ) |

| see outlineStyle Definition at line 1495 of file css_extensions.cpp.

DOMString CSS2Properties::outlineWidth | ( |  | ) | const

| See the outline-width property definition in CSS2. Definition at line 1500 of file css_extensions.cpp.

void CSS2Properties::setOutlineWidth | ( | const DOM::DOMString & |  | ) |

| see outlineWidth Definition at line 1506 of file css_extensions.cpp.

DOMString CSS2Properties::overflow | ( |  | ) | const

| See the overflow property definition in CSS2. Definition at line 1511 of file css_extensions.cpp.

void CSS2Properties::setOverflow | ( | const DOM::DOMString & |  | ) |

| see overflow Definition at line 1517 of file css_extensions.cpp.

DOMString CSS2Properties::padding | ( |  | ) | const

| See the padding property definition in CSS2. Definition at line 1522 of file css_extensions.cpp.

void CSS2Properties::setPadding | ( | const DOM::DOMString & |  | ) |

| see padding Definition at line 1528 of file css_extensions.cpp.

DOMString CSS2Properties::paddingTop | ( |  | ) | const

| See the padding-top property definition in CSS2. Definition at line 1533 of file css_extensions.cpp.

void CSS2Properties::setPaddingTop | ( | const DOM::DOMString & |  | ) |

| see paddingTop Definition at line 1539 of file css_extensions.cpp.

DOMString CSS2Properties::paddingRight | ( |  | ) | const

| See the padding-right property definition in CSS2. Definition at line 1544 of file css_extensions.cpp.

void CSS2Properties::setPaddingRight | ( | const DOM::DOMString & |  | ) |

| see paddingRight Definition at line 1550 of file css_extensions.cpp.

DOMString CSS2Properties::paddingBottom | ( |  | ) | const

| See the padding-bottom property definition in CSS2. Definition at line 1555 of file css_extensions.cpp.

void CSS2Properties::setPaddingBottom | ( | const DOM::DOMString & |  | ) |

| see paddingBottom Definition at line 1561 of file css_extensions.cpp.

DOMString CSS2Properties::paddingLeft | ( |  | ) | const

| See the padding-left property definition in CSS2. Definition at line 1566 of file css_extensions.cpp.

void CSS2Properties::setPaddingLeft | ( | const DOM::DOMString & |  | ) |

| see paddingLeft Definition at line 1572 of file css_extensions.cpp.

DOMString CSS2Properties::page | ( |  | ) | const

| See the page property definition in CSS2. Definition at line 1577 of file css_extensions.cpp.

void CSS2Properties::setPage | ( | const DOM::DOMString & |  | ) |

| see page Definition at line 1583 of file css_extensions.cpp.

DOMString CSS2Properties::pageBreakAfter | ( |  | ) | const

| See the page-break-after property definition in CSS2. Definition at line 1588 of file css_extensions.cpp.

void CSS2Properties::setPageBreakAfter | ( | const DOM::DOMString & |  | ) |

| see pageBreakAfter Definition at line 1594 of file css_extensions.cpp.

DOMString CSS2Properties::pageBreakBefore | ( |  | ) | const

| See the page-break-before property definition in CSS2. Definition at line 1599 of file css_extensions.cpp.

void CSS2Properties::setPageBreakBefore | ( | const DOM::DOMString & |  | ) |

| see pageBreakBefore Definition at line 1605 of file css_extensions.cpp.

DOMString CSS2Properties::pageBreakInside | ( |  | ) | const

| See the page-break-inside property definition in CSS2. Definition at line 1610 of file css_extensions.cpp.

void CSS2Properties::setPageBreakInside | ( | const DOM::DOMString & |  | ) |

| see pageBreakInside Definition at line 1616 of file css_extensions.cpp.

DOMString CSS2Properties::pause | ( |  | ) | const

| See the pause property definition in CSS2. Definition at line 1621 of file css_extensions.cpp.

void CSS2Properties::setPause | ( | const DOM::DOMString & |  | ) |

| see pause Definition at line 1627 of file css_extensions.cpp.

DOMString CSS2Properties::pauseAfter | ( |  | ) | const

| See the pause-after property definition in CSS2. Definition at line 1632 of file css_extensions.cpp.

void CSS2Properties::setPauseAfter | ( | const DOM::DOMString & |  | ) |

| see pauseAfter Definition at line 1638 of file css_extensions.cpp.

DOMString CSS2Properties::pauseBefore | ( |  | ) | const

| See the pause-before property definition in CSS2. Definition at line 1643 of file css_extensions.cpp.

void CSS2Properties::setPauseBefore | ( | const DOM::DOMString & |  | ) |

| see pauseBefore Definition at line 1649 of file css_extensions.cpp.

DOMString CSS2Properties::pitch | ( |  | ) | const

| See the pitch property definition in CSS2. Definition at line 1654 of file css_extensions.cpp.

void CSS2Properties::setPitch | ( | const DOM::DOMString & |  | ) |

| see pitch Definition at line 1660 of file css_extensions.cpp.

DOMString CSS2Properties::pitchRange | ( |  | ) | const

| See the pitch-range property definition in CSS2. Definition at line 1665 of file css_extensions.cpp.

void CSS2Properties::setPitchRange | ( | const DOM::DOMString & |  | ) |

| see pitchRange Definition at line 1671 of file css_extensions.cpp.

DOMString CSS2Properties::playDuring | ( |  | ) | const

| See the play-during property definition in CSS2. Definition at line 1676 of file css_extensions.cpp.

void CSS2Properties::setPlayDuring | ( | const DOM::DOMString & |  | ) |

| see playDuring Definition at line 1682 of file css_extensions.cpp.

DOMString CSS2Properties::position | ( |  | ) | const

| See the position property definition in CSS2. Definition at line 1687 of file css_extensions.cpp.

void CSS2Properties::setPosition | ( | const DOM::DOMString & |  | ) |

| see position Definition at line 1693 of file css_extensions.cpp.

DOMString CSS2Properties::quotes | ( |  | ) | const

| See the quotes property definition in CSS2. Definition at line 1698 of file css_extensions.cpp.

void CSS2Properties::setQuotes | ( | const DOM::DOMString & |  | ) |

| see quotes Definition at line 1704 of file css_extensions.cpp.

DOMString CSS2Properties::richness | ( |  | ) | const

| See the richness property definition in CSS2. Definition at line 1709 of file css_extensions.cpp.

void CSS2Properties::setRichness | ( | const DOM::DOMString & |  | ) |

| see richness Definition at line 1715 of file css_extensions.cpp.

DOMString CSS2Properties::right | ( |  | ) | const

| See the right property definition in CSS2. Definition at line 1720 of file css_extensions.cpp.

void CSS2Properties::setRight | ( | const DOM::DOMString & |  | ) |

| see right Definition at line 1726 of file css_extensions.cpp.

DOMString CSS2Properties::size | ( |  | ) | const

| See the size property definition in CSS2. Definition at line 1731 of file css_extensions.cpp.

void CSS2Properties::setSize | ( | const DOM::DOMString & |  | ) |

| see size Definition at line 1737 of file css_extensions.cpp.

DOMString CSS2Properties::speak | ( |  | ) | const

| See the speak property definition in CSS2. Definition at line 1742 of file css_extensions.cpp.

void CSS2Properties::setSpeak | ( | const DOM::DOMString & |  | ) |

| see speak Definition at line 1748 of file css_extensions.cpp.

DOMString CSS2Properties::speakHeader | ( |  | ) | const

| See the speak-header property definition in CSS2. Definition at line 1753 of file css_extensions.cpp.

void CSS2Properties::setSpeakHeader | ( | const DOM::DOMString & |  | ) |

| see speakHeader Definition at line 1759 of file css_extensions.cpp.

DOMString CSS2Properties::speakNumeral | ( |  | ) | const

| See the speak-numeral property definition in CSS2. Definition at line 1764 of file css_extensions.cpp.

void CSS2Properties::setSpeakNumeral | ( | const DOM::DOMString & |  | ) |

| see speakNumeral Definition at line 1770 of file css_extensions.cpp.

DOMString CSS2Properties::speakPunctuation | ( |  | ) | const

| See the speak-punctuation property definition in CSS2. Definition at line 1775 of file css_extensions.cpp.

void CSS2Properties::setSpeakPunctuation | ( | const DOM::DOMString & |  | ) |

| see speakPunctuation Definition at line 1781 of file css_extensions.cpp.

DOMString CSS2Properties::speechRate | ( |  | ) | const

| See the speech-rate property definition in CSS2. Definition at line 1786 of file css_extensions.cpp.

void CSS2Properties::setSpeechRate | ( | const DOM::DOMString & |  | ) |

| see speechRate Definition at line 1792 of file css_extensions.cpp.

DOMString CSS2Properties::stress | ( |  | ) | const

| See the stress property definition in CSS2. Definition at line 1797 of file css_extensions.cpp.

void CSS2Properties::setStress | ( | const DOM::DOMString & |  | ) |

| see stress Definition at line 1803 of file css_extensions.cpp.

DOMString CSS2Properties::tableLayout | ( |  | ) | const

| See the table-layout property definition in CSS2. Definition at line 1808 of file css_extensions.cpp.

void CSS2Properties::setTableLayout | ( | const DOM::DOMString & |  | ) |

| see tableLayout Definition at line 1814 of file css_extensions.cpp.

DOMString CSS2Properties::textAlign | ( |  | ) | const

| See the text-align property definition in CSS2. Definition at line 1819 of file css_extensions.cpp.

void CSS2Properties::setTextAlign | ( | const DOM::DOMString & |  | ) |

| see textAlign Definition at line 1825 of file css_extensions.cpp.

DOMString CSS2Properties::textDecoration | ( |  | ) | const

| See the text-decoration property definition in CSS2. Definition at line 1830 of file css_extensions.cpp.

void CSS2Properties::setTextDecoration | ( | const DOM::DOMString & |  | ) |

| see textDecoration Definition at line 1836 of file css_extensions.cpp.

DOMString CSS2Properties::textIndent | ( |  | ) | const

| See the text-indent property definition in CSS2. Definition at line 1841 of file css_extensions.cpp.

void CSS2Properties::setTextIndent | ( | const DOM::DOMString & |  | ) |

| see textIndent Definition at line 1847 of file css_extensions.cpp.

DOMString CSS2Properties::textShadow | ( |  | ) | const

| See the text-shadow property definition in CSS2. Definition at line 1852 of file css_extensions.cpp.

void CSS2Properties::setTextShadow | ( | const DOM::DOMString & |  | ) |

| see textShadow Definition at line 1858 of file css_extensions.cpp.

DOMString CSS2Properties::textTransform | ( |  | ) | const

| See the text-transform property definition in CSS2. Definition at line 1863 of file css_extensions.cpp.

void CSS2Properties::setTextTransform | ( | const DOM::DOMString & |  | ) |

| see textTransform Definition at line 1869 of file css_extensions.cpp.

DOMString CSS2Properties::top | ( |  | ) | const

| See the top property definition in CSS2. Definition at line 1874 of file css_extensions.cpp.

void CSS2Properties::setTop | ( | const DOM::DOMString & |  | ) |

| see top Definition at line 1880 of file css_extensions.cpp.

DOMString CSS2Properties::unicodeBidi | ( |  | ) | const

| See the unicode-bidi property definition in CSS2. Definition at line 1885 of file css_extensions.cpp.

void CSS2Properties::setUnicodeBidi | ( | const DOM::DOMString & |  | ) |

| see unicodeBidi Definition at line 1891 of file css_extensions.cpp.

DOMString CSS2Properties::verticalAlign | ( |  | ) | const

| See the vertical-align property definition in CSS2. Definition at line 1896 of file css_extensions.cpp.

void CSS2Properties::setVerticalAlign | ( | const DOM::DOMString & |  | ) |

| see verticalAlign Definition at line 1902 of file css_extensions.cpp.

DOMString CSS2Properties::visibility | ( |  | ) | const

| See the visibility property definition in CSS2. Definition at line 1907 of file css_extensions.cpp.

void CSS2Properties::setVisibility | ( | const DOM::DOMString & |  | ) |

| see visibility Definition at line 1913 of file css_extensions.cpp.

DOMString CSS2Properties::voiceFamily | ( |  | ) | const

| See the voice-family property definition in CSS2. Definition at line 1918 of file css_extensions.cpp.

void CSS2Properties::setVoiceFamily | ( | const DOM::DOMString & |  | ) |

| see voiceFamily Definition at line 1924 of file css_extensions.cpp.

DOMString CSS2Properties::volume | ( |  | ) | const

| See the volume property definition in CSS2. Definition at line 1929 of file css_extensions.cpp.

void CSS2Properties::setVolume | ( | const DOM::DOMString & |  | ) |

| see volume Definition at line 1935 of file css_extensions.cpp.

DOMString CSS2Properties::whiteSpace | ( |  | ) | const

| See the white-space property definition in CSS2. Definition at line 1940 of file css_extensions.cpp.

void CSS2Properties::setWhiteSpace | ( | const DOM::DOMString & |  | ) |

| see whiteSpace Definition at line 1946 of file css_extensions.cpp.

DOMString CSS2Properties::widows | ( |  | ) | const

| See the widows property definition in CSS2. Definition at line 1951 of file css_extensions.cpp.

void CSS2Properties::setWidows | ( | const DOM::DOMString & |  | ) |

| see widows Definition at line 1957 of file css_extensions.cpp.

DOMString CSS2Properties::width | ( |  | ) | const

| See the width property definition in CSS2. Definition at line 1962 of file css_extensions.cpp.

void CSS2Properties::setWidth | ( | const DOM::DOMString & |  | ) |

| see width Definition at line 1968 of file css_extensions.cpp.

DOMString CSS2Properties::wordSpacing | ( |  | ) | const

| See the word-spacing property definition in CSS2. Definition at line 1973 of file css_extensions.cpp.

void CSS2Properties::setWordSpacing | ( | const DOM::DOMString & |  | ) |

| see wordSpacing Definition at line 1979 of file css_extensions.cpp.

DOMString CSS2Properties::zIndex | ( |  | ) | const

| See the z-index property definition in CSS2. Definition at line 1984 of file css_extensions.cpp.

void CSS2Properties::setZIndex | ( | const DOM::DOMString & |  | ) |

| see zIndex Definition at line 1990 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:31 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001